@import "normalize";
@import "helpers";
@import "animation";
// @import "owl";
//@import "bootstrap";
//@import "prettydropdowns";


* {
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    text-size-adjust: 100%;
    text-rendering: geometricPrecision;

    -webkit-overflow-scrolling: touch;
    -webkit-font-smoothing: antialiased;
}

 

input:focus {
	outline: none;
}

// body,
// html {
// 	min-width: 1140px;
// 	overflow-x: hidden;
// } 


// body {
// 	//padding: 120px 0;
// }
 

a {
	text-decoration: none;
	&:hover {
		text-decoration: underline;
	}
}


#map {
	width: 100vw;
	height: 100vh;	
}

#cnxrender {
	width: 100px;
	height: 100px;

	position: fixed;

	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	
	margin: 0 auto;
}

.canvend #cnxrender {
		display: none;
}


.overlay-bl {
	display: block;
	position: fixed;
	overflow-y: scroll;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	z-index: 10;
	background: rgba(255, 255, 255, 0.5);
	.search {
		input {
			display: block;
			width: 100%%;
			margin: 2rem auto;
			max-width: 400px;
			//margin: 20px;

			height: 40px;

			padding: 0 10px;

			background: #fff;

			box-shadow: -2px 4px 14px rgba(0, 0, 0, 0.24);

			border-radius: 5px;

			border: none;
		}
	}

	.items {
		.group {

			width: 100%;

			margin-bottom: 20px;
			.name {
				display: block;

				text-align: center;
				font-weight: bold;

				font-size: 40px;

				cursor: pointer;

				padding: 0 10px;

				background: #fff;

				box-shadow: -2px 4px 14px rgba(0, 0, 0, 0.24);

				border-radius: 5px;

				.transition-momentum();
			}

			&.active {
				.name {
					background: transparent;

					box-shadow: -2px 4px 14px rgba(0, 0, 0, 0);
				}
			}


			.list {
				display: -ms-flexbox;
			    display: -webkit-flex;
			    display: flex;
			    -webkit-flex-direction: row;
			    -ms-flex-direction: row;
			    flex-direction: row;
			    -webkit-flex-wrap: wrap;
			    -ms-flex-wrap: wrap;
			    flex-wrap: wrap;
			    -webkit-justify-content: center;
			    -ms-flex-pack: center;
			    justify-content: center;
			    -webkit-align-content: center;
			    -ms-flex-line-pack: center;
			    align-content: center;
			    -webkit-align-items: flex-start;
			    -ms-flex-align: start;
			    align-items: flex-start;

			    width: 100%;
				.item {

					max-width: 400px;
					width: 25%;

					margin: 20px;

					padding: 0 10px;

					background: #fff;

					box-shadow: -2px 4px 14px rgba(0, 0, 0, 0.24);

					border-radius: 5px;

					box-sizing: border-box;

					.clearfix();


					cursor: pointer;

					.transition-momentum();

					&.active {
						background: #bfffd4;
					}
					.num {

						display: -ms-flexbox;
					    display: -webkit-flex;
					    display: flex;
					    -webkit-flex-direction: row;
					    -ms-flex-direction: row;
					    flex-direction: row;
					    -webkit-flex-wrap: wrap;
					    -ms-flex-wrap: wrap;
					    flex-wrap: wrap;
					    -webkit-justify-content: center;
					    -ms-flex-pack: center;
					    justify-content: center;
					    -webkit-align-content: stretch;
					    -ms-flex-line-pack: stretch;
					    align-content: stretch;
					    -webkit-align-items: center;
					    -ms-flex-align: center;
					    align-items: center;

						float: left;

						margin-right: 20px;


						font-weight: bold;

						font-size: 40px;
						height: 50px;

					}

					.route {

						display: -ms-flexbox;
						    display: -webkit-flex;
						    display: flex;
						    -webkit-flex-direction: row;
						    -ms-flex-direction: row;
						    flex-direction: row;
						    -webkit-flex-wrap: wrap;
						    -ms-flex-wrap: wrap;
						    flex-wrap: wrap;
						    -webkit-justify-content: center;
						    -ms-flex-pack: center;
						    justify-content: center;
						    -webkit-align-content: center;
						    -ms-flex-line-pack: center;
						    align-content: center;
						    -webkit-align-items: center;
						    -ms-flex-align: center;
						    align-items: center;



						height: 50px;

						span {
							display: block;
							width: 100%;

							font-size: 13px;
							&.f {

							}

							&.t {

							}
						}

					}
				}
			}
		}
	}
}

span.highlight {
	display: block;
	border: 2px solid red;
}

.getMap {
	display: block;
	width: 200px;
	height: 60px;
	margin: 1rem auto;
	text-align: center;
	background: #2e8ed8;
	line-height: 60px;
	color: white;
	border-radius: 60px;
	box-shadow: -2px 4px 14px rgba(0, 0, 0, 0.24);

	&:hover {
		text-decoration: none;
	}
}

/*mob*/
@media (max-width: 480px){

	.overlay-bl{
		.items{
			.group{
				.list{
					.item{
						width: 100%;
					}
				}
			}
		}
	}
}